using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.SystemSoftwareUpdate.Model;
using skyscraper5.Skyscraper.IO;

namespace skyscraper5.Dvb.SystemSoftwareUpdate.CarouselIntention
{
    class CompatibilityDescriptor
    {
        public CompatibilityDescriptor(MemoryStream ms)
        {
            ushort compatibilityDescriptorLength = ms.ReadUInt16BE();
            ushort descriptorCount = ms.ReadUInt16BE();
            Compatibilities = new Compatibility[descriptorCount];
            for (int i = 0; i < descriptorCount; i++)
            {
                Compatibilities[i] = new Compatibility(ms);
            }
        }

        public Compatibility[] Compatibilities { get; }
    }
}
